Bug 601814 - Update syslinux to 3.86
Update syslinux to 3.86
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: syslinux (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-08 12:54 EDT by Marcus Alves Grando
Modified: 2011-02-16 02:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-16 02:18:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marcus Alves Grando 2010-06-08 12:54:27 EDT
Please, update syslinux to 3.86.

Changes in 3.86

    * chain.c32: fix chainloading the MBR of a hard disk (broken in 3.85).
    * mboot.c32: report the boot loader name in the information structure.
    * com32: set argv[0] in a com32 module.
    * core: add a workaround for a bug in Xen HVM older than version 3.3: disable halt on those platforms.
    * Fix problems where certain operations in com32 modules would cause the core to believe the system was idle.
    * MEMDISK: fix MBR detection when used with a DOSEMU header or an offset.
    * MEMDISK: generate the mBFT checksum correctly. 

Changes in 3.85

    * gPXELINUX: updated to gPXE 1.0.0. gPXELINUX can now do NBP chainloading, and does not require a second DHCP.
    * vesamenu.c32: unbreak the default "grey hole" background.
    * We no longer have a built-in default of linux auto. Instead, if no DEFAULT or UI statement is found, or the configuration file is missing entirely, we drop to the boot: prompt with an error message (if NOESCAPE is set, we stop with a "boot failed" message; this is also the case for PXELINUX if the configuration file is not found.)
    * chain.c32: support chainloading Grub4DOS; patch by Gert Hulselmans.
    * New tool: sysdump.c32, can be used to produce system information for debugging via tftp or ymodem (serial port).
    * vga=current on the Linux command line is now supported.
    * chain.c32: support for Windows Recovery Console, via the cmldr= option.
    * chain.c32: should now support loading NTLDR from different type media than loaded from.
    * chain.c32: support chainloading to a FAT/NTFS partition with invalid "hidden sectors" via the sethidden option.
    * memdisk: fix the mBFT ACPI table.
    * vesamenu.c32: if the image is smaller than the screen, tile it across the whole screen.
    * mkdiskimage: -s option for producing a sparse image.
    * vesamenu.c32: support arbitrary resolution setting (beyond BIOS support) on some Intel-based video chipsets. This code is a modified version of the "915resolution" tool by Steve Tomljenovic; your mileage might vary. 

Best regards
Comment 1 Bruno Wolff III 2010-06-22 03:55:30 EDT
Please also include the C isohybrid as described in FES ticket 15.
(https://fedorahosted.org/fedora-engineering-services/ticket/15)
This will probably save some space on live images and it would be nice to know how much, early in F14 development.
Comment 2 Bruno Wolff III 2011-02-16 02:18:55 EST
F14 and F15 have syslinux 4.02 now, so this is moot.

Note You need to log in before you can comment on or make changes to this bug.